#
Summary: Adds Fermi specific entries in /etc/hosts.allow and /etc/hosts.deny
Name: zz_tcp_wrappers_change
Version: 1.1
Release: 3
Copyright: GPL
Group: Fermi
Source: banners.tgz
URL: http://www.fnal.gov/cd/UNIX/linux/
Distribution: Fermi Red Hat v5.2.1
Vendor: Fermilab
Packager: Dan Yocum
requires: tcp_wrappers
BuildArch: noarch
BuildRoot: /var/tmp/banners

%description
This package will add entries in /etc/hosts.allow and /etc/hosts.deny which
are Fermi specific.  By limiting access to certain services to Fermi sites
only, it increases security.

Specifically, we disallow everyone outside of .fnal.gov all service on the 
machine and allow virtually everything within .fnal.gov domain.  If you're at
an off-site institution, you'll have to edit the hosts.allow file accordingly
for your domain.

The original files will be saved as /etc/hosts.allow(deny).rpmsave.  
 
This version includes the standard DOE security banners pre-enabled.
%post
cp /etc/hosts.allow /etc/hosts.allow.rpmsave
cp /etc/hosts.deny /etc/hosts.deny.rpmsave

echo "" >> /etc/hosts.deny
echo "ALL: ALL: banners /etc/banners" >> /etc/hosts.deny

echo "" >> /etc/hosts.allow
echo "portmap: 131.225.0.0/255.255.0.0" >> /etc/hosts.allow
echo "rpc.mountd: 131.225." >> /etc/hosts.allow
echo "ALL: .fnal.gov 131.225. : banners /etc/banners" >> /etc/hosts.allow
echo "sshd: ALL" >> /etc/hosts.allow

%postun

if [ -f /etc/hosts.deny -a -f /etc/hosts.deny.rpmsave ]
then 
	mv -f /etc/hosts.deny.rpmsave /etc/hosts.deny
fi

if [ -f /etc/hosts.allow -a -f /etc/hosts.allow.rpmsave ]
then 
	mv -f /etc/hosts.allow.rpmsave /etc/hosts.allow
fi

%prep

%install
mkdir -p ${RPM_BUILD_ROOT}
cd ${RPM_BUILD_ROOT}
tar -xvzpf ${RPM_SOURCE_DIR}/banners.tgz

%files
%dir /etc/banners
%config /etc/banners/fingerd
%config /etc/banners/ftpd
%config /etc/banners/in.fingerd
%config /etc/banners/in.ftpd
%config /etc/banners/in.rlogind
%config /etc/banners/in.telnetd
%config /etc/banners/rlogind
%config /etc/banners/telnetd
